- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Heap Functions
Embryo

Increases the size of the heap of the given virtual machine by the given number of Embryo_Cells. More...

## Functions
EAPI void | embryo_data_heap_pop (Embryo_Program *ep, Embryo_Cell down_to)
| Decreases the size of the heap of the given virtual machine down to the given size. More...

## Detailed Description

Increases the size of the heap of the given virtual machine by the given number of Embryo_Cells.

Parameters

  ep | The program with the given virtual machine.
  cells | The given number of Embryo_Cells.

Returns
  The address of the new memory region on success. `EMBRYO_CELL_NONE` otherwise.

The heap is an area of memory that can be allocated for program use at runtime. The heap functions here change the amount of heap memory available.

## Function Documentation

EAPI void embryo_data_heap_pop | ( | Embryo_Program * | ep,
|  | Embryo_Cell | down_to
| ) |  |

Decreases the size of the heap of the given virtual machine down to the given size.

Parameters

  ep | The program with the given virtual machine.
  down_to | The given size.